org.jboss.netty.handler.codec.http.websocketx

## Class BinaryWebSocketFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.http.websocketx.WebSocketFrame
  - - org.jboss.netty.handler.codec.http.websocketx.BinaryWebSocketFrame

    public class BinaryWebSocketFrame
    extends WebSocketFrame

Web Socket frame containing binary data

### Constructor Summary

Constructors
Constructor and Description
`BinaryWebSocketFrame()` Creates a new empty binary frame.
`BinaryWebSocketFrame(boolean finalFragment, int rsv, ChannelBuffer binaryData)` Creates a new binary frame with the specified binary data and the final fragment flag.
`BinaryWebSocketFrame(ChannelBuffer binaryData)` Creates a new binary frame with the specified binary data.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.jboss.netty.handler.codec.http.websocketx.WebSocketFrame

`getBinaryData, getRsv, isFinalFragment, setBinaryData, setFinalFragment, setRsv`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryWebSocketFrame

    public BinaryWebSocketFrame()

Creates a new empty binary frame.

#### BinaryWebSocketFrame

    public BinaryWebSocketFrame(ChannelBuffer binaryData)

Creates a new binary frame with the specified binary data. The final fragment flag is set to true.

Parameters:
  `binaryData` - the content of the frame.

#### BinaryWebSocketFrame

    public BinaryWebSocketFrame(boolean finalFragment,
                        int rsv,
                        ChannelBuffer binaryData)

Creates a new binary frame with the specified binary data and the final fragment flag.

Parameters:
  `finalFragment` - flag indicating if this frame is the final fragment
  `rsv` - reserved bits used for protocol extensions
  `binaryData` - the content of the frame.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`